import { resolveDirective as p, openBlock as i, createElementBlock as c, createVNode as a, withCtx as e, withDirectives as u, createBlock as f, createTextVNode as s, createElementVNode as _ } from "vue";
import { l as k, U as v } from "./index2.js";
import { C } from "./index25.js";
const x = {
  name: "HomePage",
  data() {
    return {};
  },
  methods: {
    handLink(o) {
      this.$router.push(o);
    }
  },
  mounted() {
  }
}, y = { class: "home-page" };
function $(o, t, w, B, g, n) {
  const r = v, d = C, m = p("action");
  return i(), c("div", y, [
    a(d, { title: "首页" }, {
      default: e(() => [
        u((i(), f(r, {
          type: "primary",
          onClick: t[0] || (t[0] = (l) => n.handLink("/systemConfiguration"))
        }, {
          default: e(() => t[2] || (t[2] = [
            s("按钮权限测试")
          ])),
          _: 1
        })), [
          [m, void 0, "view"]
        ]),
        a(r, {
          type: "primary",
          onClick: t[1] || (t[1] = (l) => n.handLink("/workplace"))
        }, {
          default: e(() => t[3] || (t[3] = [
            s("按钮主题测试")
          ])),
          _: 1
        }),
        t[4] || (t[4] = _("div", { class: "mt-50" }, "测试样式", -1))
      ]),
      _: 1
    })
  ]);
}
const D = /* @__PURE__ */ k(x, [["render", $]]);
export {
  D as default
};
